gtksourceviewmm: Gsv::CompletionWords Class Reference

gtksourceviewmm 3.21.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gsv::CompletionWords Class Reference

Words completion provider. More...

`#include <gtksourceviewmm/completionwords.h>`

Inheritance diagram for Gsv::CompletionWords:
[legend]

## Public Member Functions
| CompletionWords (CompletionWords&& src) noexcept
CompletionWords& | operator= (CompletionWords&& src) noexcept
| ~CompletionWords () noexceptoverride
GtkSourceCompletionWords* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceCompletionWords* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceCompletionWords* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | register_provider (const Glib::RefPtr< Gtk::TextBuffer >& buffer)
| Registers this provider in given buffer. More...
void | unregister_provider (const Glib::RefPtr< Gtk::TextBuffer >& buffer)
| Unregisters this provider from given buffer. More...
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The provider name. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The provider name. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| The provider icon. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| The provider icon. More...
Glib::PropertyProxy< guint > | property_proposals_batch_size ()
| Number of proposals added in one batch. More...
Glib::PropertyProxy_ReadOnly< guint > | property_proposals_batch_size () const
| Number of proposals added in one batch. More...
Glib::PropertyProxy< guint > | property_scan_batch_size ()
| Number of lines scanned in one batch. More...
Glib::PropertyProxy_ReadOnly< guint > | property_scan_batch_size () const
| Number of lines scanned in one batch. More...
Glib::PropertyProxy< guint > | property_minimum_word_size ()
| The minimum word size to complete. More...
Glib::PropertyProxy_ReadOnly< guint > | property_minimum_word_size () const
| The minimum word size to complete. More...
Glib::PropertyProxy< int > | property_interactive_delay ()
| The delay before initiating interactive completion. More...
Glib::PropertyProxy_ReadOnly< int > | property_interactive_delay () const
| The delay before initiating interactive completion. More...
Glib::PropertyProxy< int > | property_priority ()
| Provider priority. More...
Glib::PropertyProxy_ReadOnly< int > | property_priority () const
| Provider priority. More...
Glib::PropertyProxy< CompletionActivation > | property_activation ()
| The type of activation. More...
Glib::PropertyProxy_ReadOnly< CompletionActivation > | property_activation () const
| The type of activation. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gsv::CompletionProvider
| CompletionProvider (CompletionProvider&& src) noexcept
CompletionProvider& | operator= (CompletionProvider&& src) noexcept
| ~CompletionProvider () noexceptoverride
GtkSourceCompletionProvider* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceCompletionProvider* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_name () const
| Get the name of the provider. More...
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Get the icon of the provider. More...
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Get the icon of the provider. More...
void | populate (const Glib::RefPtr< CompletionContext >& context)
| Populate context with proposals from a provider. More...
bool | match (const Glib::RefPtr< const CompletionContext >& context) const
| Get whether the provider match the context of completion detailed in context. More...
Gtk::Widget* | get_info_widget (const Glib::RefPtr< const CompletionProposal >& proposal)
| Get a customized info widget to show extra information of a proposal. More...
const Gtk::Widget* | get_info_widget (const Glib::RefPtr< const CompletionProposal >& proposal) const
| Get a customized info widget to show extra information of a proposal. More...
void | update_info (const Glib::RefPtr< const CompletionProposal >& proposal, const CompletionInfo& info)
| Update extra information shown in info for proposal. More...
bool | get_start_iter (const Glib::RefPtr< const CompletionContext >& context, const Glib::RefPtr< const CompletionProposal >& proposal, Gtk::TextIter& iter)
| Get the Gtk::TextIter at which the completion for proposal starts. More...
bool | activate_proposal (const Glib::RefPtr< CompletionProposal >& proposal, const Gtk::TextIter& iter)
| Activate proposal at iter. More...
CompletionActivation | get_activation () const
| Get with what kind of activation the provider should be activated. More...
int | get_interactive_delay () const
| Get the delay in milliseconds before starting interactive completion for this provider. More...
int | get_priority () const
| Get the provider priority. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexceptoverride
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< CompletionWords > | create (const Glib::ustring& name, const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Creates words provider with given name and icon. More...
Static Public Member Functions inherited from Gsv::CompletionProvider
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| CompletionWords (const Glib::ustring& name, const Glib::RefPtr< Gdk::Pixbuf >& icon)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gsv::CompletionProvider
| CompletionProvider ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::CompletionWords > | wrap (GtkSourceCompletionWords* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gsv::CompletionProvider
Glib::RefPtr< Gsv::CompletionProvider > | wrap (GtkSourceCompletionProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Words completion provider.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

Gsv::CompletionWords::CompletionWords | ( | CompletionWords&& | src | ) |
| noexcept

Gsv::CompletionWords::~CompletionWords | ( |  | ) |
| overridenoexcept

Gsv::CompletionWords::CompletionWords | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Gdk::Pixbuf > & | icon
| ) |  |
| explicitprotected

## Member Function Documentation

static Glib::RefPtr<CompletionWords> Gsv::CompletionWords::create | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Gdk::Pixbuf > & | icon
| ) |  |
| static

Creates words provider with given name and icon.

Parameters

  name | Provider's name
  icon | Provider's icon

Returns
  A new CompletionWords.

Since gtksourceviewmm 2.10:

static GType Gsv::CompletionWords::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceCompletionWords* Gsv::CompletionWords::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceCompletionWords* Gsv::CompletionWords::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceCompletionWords* Gsv::CompletionWords::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

CompletionWords& Gsv::CompletionWords::operator= | ( | CompletionWords&& | src | ) |
| noexcept

Glib::PropertyProxy< CompletionActivation > Gsv::CompletionWords::property_activation | ( |  | ) |

The type of activation.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< CompletionActivation > Gsv::CompletionWords::property_activation | ( |  | ) | const

The type of activation.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gsv::CompletionWords::property_icon | ( |  | ) |

The provider icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gsv::CompletionWords::property_icon | ( |  | ) | const

The provider icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gsv::CompletionWords::property_interactive_delay | ( |  | ) |

The delay before initiating interactive completion.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gsv::CompletionWords::property_interactive_delay | ( |  | ) | const

The delay before initiating interactive completion.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gsv::CompletionWords::property_minimum_word_size | ( |  | ) |

The minimum word size to complete.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gsv::CompletionWords::property_minimum_word_size | ( |  | ) | const

The minimum word size to complete.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionWords::property_name | ( |  | ) |

The provider name.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionWords::property_name | ( |  | ) | const

The provider name.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gsv::CompletionWords::property_priority | ( |  | ) |

Provider priority.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gsv::CompletionWords::property_priority | ( |  | ) | const

Provider priority.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gsv::CompletionWords::property_proposals_batch_size | ( |  | ) |

Number of proposals added in one batch.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gsv::CompletionWords::property_proposals_batch_size | ( |  | ) | const

Number of proposals added in one batch.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gsv::CompletionWords::property_scan_batch_size | ( |  | ) |

Number of lines scanned in one batch.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gsv::CompletionWords::property_scan_batch_size | ( |  | ) | const

Number of lines scanned in one batch.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gsv::CompletionWords::register_provider | ( | const Glib::RefPtr< Gtk::TextBuffer > & | buffer | ) |

Registers this provider in given buffer.

Parameters

  buffer | A buffer which will use this provider.

Since gtksourceviewmm 2.10:

void Gsv::CompletionWords::unregister_provider | ( | const Glib::RefPtr< Gtk::TextBuffer > & | buffer | ) |

Unregisters this provider from given buffer.

Parameters

  buffer | A buffer which will not use this provider anymore.

Since gtksourceviewmm 2.10:

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::CompletionWords > wrap | ( | GtkSourceCompletionWords * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.